#ifndef LIFESTYLE_H
#define LIFESTYLE_H

#include <QWidget>
#include <QHBoxLayout>
#include "ultravioletrays.h"
#include "air.h"
#include "sport.h"
#include "washcar.h"
#include "flu.h"
#include "clothe.h"
#include "global/corevar.h"

class lifestyle : public QWidget
{
    Q_OBJECT
public:
    explicit lifestyle(QWidget *parent = nullptr);
    void getLifeStyleInfor(LifeStyle m_lifeStyle, int m_isFullScreen);

private:
    QHBoxLayout *m_lifestyleLayout;
    ultravioletrays *m_ultravioletrays = nullptr;
    air *m_air = nullptr;
    sport *m_sport = nullptr;
    washcar *m_washcar = nullptr;
    flu *m_flu = nullptr;
    clothe *m_clothe = nullptr;
    void initLayout();
    void initQss();
    void initConnect();

    void paintEvent(QPaintEvent *event);


signals:
    void sendIsFullScreen(int isFullScreen);
};

#endif // LIFESTYLE_H
